Page MenuHomePhabricator

Fix LandingCheck language fallback
Closed, ResolvedPublic1 Story Points

Description

If a nlwiki user donates from BE, their Thank You letter links to this page for cancellation instructions:
https://wikimediafoundation.org/wiki/Special:LandingCheck?landing_page=Cancel_or_change_recurring_payments&basic=true&language=nl-be

LandingCheck seems to fall back directly to English rather than looking for the page in nl, which does exist:
https://wikimediafoundation.org/wiki/Cancel_or_change_recurring_payments/nl

Event Timeline

Ejegg created this task.Aug 31 2017, 4:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 4:09 PM
DStrine triaged this task as Normal priority.Sep 5 2017, 7:38 PM
DStrine set the point value for this task to 2.

Change 378356 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/LandingCheck@master] Better language fallback for unsupported locales

https://gerrit.wikimedia.org/r/378356

Ejegg claimed this task.Sep 15 2017, 11:20 PM
Ejegg changed the point value for this task from 2 to 1.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint RadioActivewear board.

Change 378356 merged by jenkins-bot:
[mediawiki/extensions/LandingCheck@master] Better language fallback for unsupported locales

https://gerrit.wikimedia.org/r/378356

Ejegg added a comment.Sep 26 2017, 6:03 PM

Looks like this'll go out to foundationwiki tomorrow (September 27)

Ejegg closed this task as Resolved.Sep 27 2017, 7:55 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint RadioActivewear board.

Link now redirects to the nl version!